#pragma once

#include <saas/library/indexer_protocol/sender_neh.h>

class TRTYMultiRequester {
private:
    NRTYServer::TMultiRequester Requester;
public:
    TRTYMultiRequester(ui32 attemptsCount, NNeh::IProtocol* protocol);

    void Start(ui32 threadsNum);
    void Stop();

    void Send(const TString& host, ui16 port, const NRTYServer::TMessage& message, const NRTYServer::IHandleListener* handleCallback, const TString& serviceInfo);
    ui32 QueueSize() const;
};
